Skip to main content
GET
Premarket

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

limit
integer
default:50

How many items to return. Default: 50. Max: 100. Min: 1.

Required range: 1 <= x <= 100
Example:

10

page
integer

Page number (use with limit). Starts on page 0.

Example:

1

Response

The earnings data for a date and report time.

actual_eps
string
Example:

"1.44"

continent
string
Example:

"North America"

country_code
string
Example:

"US"

country_name
string
Example:

"UNITED STATES"

ending_fiscal_quarter
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

expected_move
string

The expected earnings move in $.

Example:

"1.23"

expected_move_perc
string

The expected earnings move in %.

Example:

"0.08"

full_name
string
Example:

"MICROSOFT CORP"

has_options
boolean | null

Whether the company has options available for trading

Example:

true

is_s_p_500
boolean
marketcap
string
Example:

"152983052"

post_earnings_close
string

The close stock price of the ticker.

Example:

"182.91"

post_earnings_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

pre_earnings_close
string

The close stock price of the ticker.

Example:

"182.91"

pre_earnings_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

reaction
string

The 1D % stock move after the earnings report.

Example:

"0.15"

report_date
string

An ISO date.

Example:

"2024-01-09T00:00:00.000Z"

report_time
string

The earnings report time. Possible values include: premarket, postmarket and unknown

Example:

"postmarket"

sector
enum<string>

A financial sector.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

source
string

The source of the report date. Either the report date comes from the company or it is an estimation. Possible values: company, estimation.

Example:

"company"

street_mean_est
string

The Street mean EPS estimates.

Example:

"1.34"

symbol
string
Example:

"MSFT"

Last modified on September 29, 2026